Bloss Docs

Claims on a bounty

Developers
GET
/brands/{brandId}/bounties/{bountyId}/claims

The creators who claimed a bounty, oldest first, with each claim's status ("pending", "approved", "paid" or "rejected"), when it was claimed, completed, approved and paid, and who approved it.

Authorization

bearerAuth engagement:read
headerAuthorizationBearer <token>

Personal access token. Scopes: account:read, creator:read, creator:earnings, managed:read, coach:read, brand:read, creators:read, videos:read, analytics:read, recruitment:read, engagement:read, support:read, integrations:read, payouts:read, funds:read, billing:read.

Scope: engagement:read

Path Parameters

brandId*string

A brand id from GET /me or GET /creator/brands.

Length1 <= length
bountyId*string

A bounty id from GET /brands/{brandId}/bounties.

Length1 <= length

Response Body

Success.

application/json
  1. response
data*array<>
curl -X GET 'https://example.com/api/v1/brands/string/bounties/string/claims'
{  "data": [    {      "id": "string",      "creatorId": "string",      "status": "string",      "claimedAt": "string",      "completedAt": "string",      "approvedAt": "string",      "approvedBy": "string",      "paidAt": "string"    }  ]}

Was this page helpful?